Page MenuHomePhabricator

Remove deprecated User::makeGroupLinkWiki() calls in SpecialGlobalUsers
Closed, ResolvedPublic

Description

Actual error message from MediaWiki's CentralAuth extension:

Use of User::makeGroupLinkWiki was deprecated in MediaWiki 1.29. [Called from GlobalUsersPager::getUserGroups in /srv/mediawiki/php-1.31.0-wmf.10/extensions/CentralAuth/includes/specials/SpecialGlobalUsers.php at line 270]

We have to replace User::makeGroupLinkWiki() by the equivalent methods on the [[ https://doc.wikimedia.org/mediawiki-core/master/php/classUserGroupMembership.html | UserGroupMembership ]] class.

Event Timeline

demon created this task.Dec 1 2017, 6:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2017, 6:25 PM
Aklapper updated the task description. (Show Details)Dec 1 2017, 11:02 PM
Aklapper moved this task from Proposed tasks to Missing mentors on the Google-Code-in-2017 board.
Legoktm added a subscriber: Legoktm.Dec 2 2017, 7:19 AM

I'll mentor this for GCI.

@Legoktm Are you mentoring this task for GCI?

rafidaslam added a subscriber: rafidaslam.

I'll work on this (claimed on Google Code-in)

Change 396077 had a related patch set uploaded (by Rafidaslam; owner: Rafid Aslam):
[mediawiki/extensions/CentralAuth@master] SpecialGlobalUsers: Replace User::makeGroupLinkWiki with newer function

https://gerrit.wikimedia.org/r/396077

Change 396077 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] SpecialGlobalUsers: Replace User::makeGroupLinkWiki with newer function

https://gerrit.wikimedia.org/r/396077

D3r1ck01 closed this task as Resolved.Dec 8 2017, 4:15 PM
D3r1ck01 added a subscriber: D3r1ck01.

Thanks for the work @rafidaslam. Follow up ticket here: T182444.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM